<?php
/**
*
* @package phpBB Extension - PM REG Notify
* @copyright (c) 2016 Stoker
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace stoker\pmregnotify\acp;

class pmregnotify_module
{
var $u_action;

	function main($id, $mode)
	{
		global $user, $template, $request, $config;

		$this->tpl_name = 'acp_pmregnotify_config';
		$this->page_title = $user->lang['ACP_PMREGNOTIFY'];
		add_form_key('acp_pmregnotify_config');

		$submit = $request->is_set_post('submit');
		if ($submit)
		{
			if (!check_form_key('acp_pmregnotify_config'))
			{
				trigger_error('FORM_INVALID');
			}
			$config->set('enable_pmregnotify_reg', $request->variable('enable_pmregnotify_reg', 0));
			$config->set('enable_pmregnotify_reg_fa', $request->variable('enable_pmregnotify_reg_fa', 0));
			$config->set('enable_pmregnotify_pm', $request->variable('enable_pmregnotify_pm', 0));
			$config->set('enable_pmregnotify_pm_fa', $request->variable('enable_pmregnotify_pm_fa', 0));
			$config->set('enable_pmregnotify_pm_user', $request->variable('enable_pmregnotify_pm_user', 0));
			$config->set('enable_pmregnotify_pm_avatar', $request->variable('enable_pmregnotify_pm_avatar', 0));

			trigger_error($user->lang['PMREGNOTIFY_CONFIG_SAVED'] . adm_back_link($this->u_action));
		}

		$template->assign_vars(array(
			'PMREGNOTIFY_VERSION'			=> (isset($config['pmregnotify_version'])) ? $config['pmregnotify_version'] : '',
			'ENABLE_PMREGNOTIFY_REG'		=> (!empty($config['enable_pmregnotify_reg'])) ? true : false,
			'ENABLE_PMREGNOTIFY_REG_FA'		=> (!empty($config['enable_pmregnotify_reg_fa'])) ? true : false,
			'ENABLE_PMREGNOTIFY_PM'			=> (!empty($config['enable_pmregnotify_pm'])) ? true : false,
			'ENABLE_PMREGNOTIFY_PM_FA'		=> (!empty($config['enable_pmregnotify_pm_fa'])) ? true : false,
			'ENABLE_PMREGNOTIFY_PM_USER'	=> (!empty($config['enable_pmregnotify_pm_user'])) ? true : false,
			'ENABLE_PMREGNOTIFY_PM_AVATAR'	=> (!empty($config['enable_pmregnotify_pm_avatar'])) ? true : false,

			'U_ACTION'						=> $this->u_action,
		));
	}
}
