<?php
/**
*
* @package phpBB Extension - PM REG Notify
* @copyright (c) 2016 Stoker
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*/

namespace stoker\pmregnotify\migrations;

class pmregnotify_schema extends \phpbb\db\migration\migration
{
	public function update_data()
	{
		return array(
			// Add config
			array('config.add', array('pmregnotify_version', '3.2.0')),
			array('config.add', array('enable_pmregnotify_reg', '')),
			array('config.add', array('enable_pmregnotify_reg_fa', '')),
			array('config.add', array('enable_pmregnotify_pm', '')),
			array('config.add', array('enable_pmregnotify_pm_avatar', '')),
			array('config.add', array('enable_pmregnotify_pm_user', '')),
			array('config.add', array('enable_pmregnotify_pm_fa', '')),

		);
	}
	
	public function update_schema()
	{
		return array(
			'add_columns'	=> array(
				$this->table_prefix . 'users'	=> array(
					'user_pmregnotify'			=> array('BOOL', 1),
				),
			),
		);
	}

	public function revert_data()
	{
		return array(
			// Remove config
			array('config.remove', array('pmregnotify_version')),
			array('config.remove', array('enable_pmregnotify_reg')),
			array('config.remove', array('enable_pmregnotify_reg_fa')),
			array('config.remove', array('enable_pmregnotify_pm')),
			array('config.remove', array('enable_pmregnotify_pm_avatar')),
			array('config.remove', array('enable_pmregnotify_pm_user')),
			array('config.remove', array('enable_pmregnotify_pm_fa')),
		);
	}
	
	public function revert_schema()
	{
		return array(
			'drop_columns'	=> array(
				$this->table_prefix . 'users'	=> array(
					'user_pmregnotify',
				),
			),
		);
	}
}
